<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Sat Jun 12 12:09:57 CEST 2021 -->
<title>Automat</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-12">
<meta name="description" content="declaration: package: app.display, class: Automat">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">app.display</a></div>
<h1 title="Class Automat" class="title">Class Automat</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">app.display.Automat</div>
</div>
<section class="description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">Automat</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Eine Klasse, welche einen zellulären Automaten repräsentiert</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>private int</code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#generation">generation</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Speichert die aktuelle Generation</div>
</div>
<div class="col-first odd-row-color"><code>private <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></code></div>
<div class="col-second odd-row-color"><code><span class="member-name-link"><a href="#image">image</a></span></code></div>
<div class="col-last odd-row-color">
<div class="block">Das Ursprungsbild für die erste Generation</div>
</div>
<div class="col-first even-row-color"><code>private int</code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#len">len</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Speichert die Länge (Höhe und Breite) des Automaten</div>
</div>
<div class="col-first odd-row-color"><code>private boolean[][]</code></div>
<div class="col-second odd-row-color"><code><span class="member-name-link"><a href="#next">next</a></span></code></div>
<div class="col-last odd-row-color">
<div class="block">Wird benötigt für die Berechnung der nächsten Generation</div>
</div>
<div class="col-first even-row-color"><code>private boolean[][]</code></div>
<div class="col-second even-row-color"><code><span class="member-name-link"><a href="#now">now</a></span></code></div>
<div class="col-last even-row-color">
<div class="block">Speichert den aktuellen Zustand des zellulären Automaten</div>
</div>
<div class="col-first odd-row-color"><code>private int</code></div>
<div class="col-second odd-row-color"><code><span class="member-name-link"><a href="#padding">padding</a></span></code></div>
<div class="col-last odd-row-color">
<div class="block">Bestimmt das padding um die Ursprungsgeneration</div>
</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.awt.image.BufferedImage,int)">Automat</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;image,
 int&nbsp;padding)</code></div>
<div class="col-last even-row-color">
<div class="block">Konstruktor für einen Automaten</div>
</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab1" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab1', 3)" class="table-tab">Static Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>private static void</code></div>
<div class="col-second even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#applyPattern(boolean%5B%5D%5B%5D,int,int,java.awt.image.BufferedImage)">applyPattern</a></span>&#8203;(boolean[][]&nbsp;pattern,
 int&nbsp;x,
 int&nbsp;y,
 <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;result)</code></div>
<div class="col-last even-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion wendet ein übergebenes Pattern ein eine übergebene Stelle
 eines übergebenen BufferedImages an, ersetzt also Pixel.</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>private boolean[][]</code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#genQuadMatrix(int)">genQuadMatrix</a></span>&#8203;(int&nbsp;len)</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Die Methode erzeugt eine neue Quadratische Boolean Matrix</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>int</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getGeneration()">getGeneration</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion gibt die aktuelle Generation zurück</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code>static <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></code></div>
<div class="col-second odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#getPatternBuf(java.awt.image.BufferedImage)">getPatternBuf</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;img)</code></div>
<div class="col-last odd-row-color method-summary-table-tab1 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion bekommt ein BufferedImage und wendet das Pattern darauf an.</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#init()">init</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">init intitialisiert den Automaten
 - Die Generation wird gesetzt
 - Zwei neue Boolean Matrizen werden erstellt (now und next)
 - Schwarze Pixel des umgewandelten Bildes werden zu lebenden Zellen</div>
</div>
<div class="col-first odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#nextGeneration()">nextGeneration</a></span>()</code></div>
<div class="col-last odd-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion setzt den Automaten auf seine nächste Generation
 - Dabei wird ein performace Padding berechnet, damit nicht alles Pixel des
   Automaten neu berechnet werden müssen.</div>
</div>
<div class="col-first even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></code></div>
<div class="col-second even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table"><code><span class="member-name-link"><a href="#toBuf()">toBuf</a></span>()</code></div>
<div class="col-last even-row-color method-summary-table-tab2 method-summary-table-tab4 method-summary-table">
<div class="block">Die Funktion erstellt für den aktuellen Automaten ein BufferedImage.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="generation">
<h3>generation</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">generation</span></div>
<div class="block">Speichert die aktuelle Generation</div>
</section>
</li>
<li>
<section class="detail" id="now">
<h3>now</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean[][]</span>&nbsp;<span class="element-name">now</span></div>
<div class="block">Speichert den aktuellen Zustand des zellulären Automaten</div>
</section>
</li>
<li>
<section class="detail" id="next">
<h3>next</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean[][]</span>&nbsp;<span class="element-name">next</span></div>
<div class="block">Wird benötigt für die Berechnung der nächsten Generation</div>
</section>
</li>
<li>
<section class="detail" id="padding">
<h3>padding</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">padding</span></div>
<div class="block">Bestimmt das padding um die Ursprungsgeneration</div>
</section>
</li>
<li>
<section class="detail" id="len">
<h3>len</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">len</span></div>
<div class="block">Speichert die Länge (Höhe und Breite) des Automaten</div>
</section>
</li>
<li>
<section class="detail" id="image">
<h3>image</h3>
<div class="member-signature"><span class="modifiers">private final</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></span>&nbsp;<span class="element-name">image</span></div>
<div class="block">Das Ursprungsbild für die erste Generation</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.awt.image.BufferedImage,int)">
<h3>Automat</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Automat</span>&#8203;<span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;image,
 int&nbsp;padding)</span></div>
<div class="block">Konstruktor für einen Automaten</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>image</code> - Urspungbild</dd>
<dd><code>padding</code> - Abstand zum Rand</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="init()">
<h3>init</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">init</span>()</div>
<div class="block">init intitialisiert den Automaten
 - Die Generation wird gesetzt
 - Zwei neue Boolean Matrizen werden erstellt (now und next)
 - Schwarze Pixel des umgewandelten Bildes werden zu lebenden Zellen</div>
</section>
</li>
<li>
<section class="detail" id="nextGeneration()">
<h3>nextGeneration</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">nextGeneration</span>()</div>
<div class="block">Die Funktion setzt den Automaten auf seine nächste Generation
 - Dabei wird ein performace Padding berechnet, damit nicht alles Pixel des
   Automaten neu berechnet werden müssen.
 - Das Ergebnis wird in this.next geschrieben
 - Nach Berechnung wird das Ergebnis in now kopiert und next neu aufgesetzt
 - Die Generation wird erhöht</div>
</section>
</li>
<li>
<section class="detail" id="getGeneration()">
<h3>getGeneration</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="element-name">getGeneration</span>()</div>
<div class="block">Die Funktion gibt die aktuelle Generation zurück</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Generation</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="genQuadMatrix(int)">
<h3>genQuadMatrix</h3>
<div class="member-signature"><span class="modifiers">private</span>&nbsp;<span class="return-type">boolean[][]</span>&nbsp;<span class="element-name">genQuadMatrix</span>&#8203;<span class="parameters">(int&nbsp;len)</span></div>
<div class="block">Die Methode erzeugt eine neue Quadratische Boolean Matrix</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>len</code> - Seitenlängen</dd>
<dt>Returns:</dt>
<dd>neue Boolean Matrix</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toBuf()">
<h3>toBuf</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></span>&nbsp;<span class="element-name">toBuf</span>()</div>
<div class="block">Die Funktion erstellt für den aktuellen Automaten ein BufferedImage.
 Lebende Pixel bekommen Farbe, tote bleiben weiß</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Ein neues Buffered Image, das Ergebnis</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getPatternBuf(java.awt.image.BufferedImage)">
<h3>getPatternBuf</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a></span>&nbsp;<span class="element-name">getPatternBuf</span>&#8203;<span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;img)</span></div>
<div class="block">Die Funktion bekommt ein BufferedImage und wendet das Pattern darauf an.
 Es wird skaliert und die 2*2 Pixel werden durch ein Pattern ersetzt.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>img</code> - Das zu verändernde Bild</dd>
<dt>Returns:</dt>
<dd>Ein neues Buffered Image, das Ergebnis</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="applyPattern(boolean[][],int,int,java.awt.image.BufferedImage)">
<h3>applyPattern</h3>
<div class="member-signature"><span class="modifiers">private static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">applyPattern</span>&#8203;<span class="parameters">(boolean[][]&nbsp;pattern,
 int&nbsp;x,
 int&nbsp;y,
 <a href="https://docs.oracle.com/en/java/javase/16/docs/api/java.desktop/java/awt/image/BufferedImage.html" title="class or interface in java.awt.image" class="external-link">BufferedImage</a>&nbsp;result)</span></div>
<div class="block">Die Funktion wendet ein übergebenes Pattern ein eine übergebene Stelle
 eines übergebenen BufferedImages an, ersetzt also Pixel.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>pattern</code> - Das Pattern, welches angewendet werden soll</dd>
<dd><code>x</code> - Die x-Koordinate</dd>
<dd><code>y</code> - Die y-Koordinate</dd>
<dd><code>result</code> - Das BufferedImage auf dem gearbeitet wird</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
